Adoptable Cookbooks List

Looking for a cookbook to adopt? You can now see a list of cookbooks available for adoption!
List of Adoptable Cookbooks

Supermarket Belongs to the Community

Supermarket belongs to the community. While Chef has the responsibility to keep it running and be stewards of its functionality, what it does and how it works is driven by the community. The chef/supermarket repository will continue to be where development of the Supermarket application takes place. Come be part of shaping the direction of Supermarket by opening issues and pull requests or by joining us on the Chef Mailing List.

Select Badges

Select Supported Platforms

RSS

scipy (4) Versions 0.3.1

Installs SciPy stack

Berkshelf/Librarian
Policyfile
Knife
cookbook 'scipy', '~> 0.3.1'
cookbook 'scipy', '~> 0.3.1', :supermarket
knife cookbook site install scipy
knife cookbook site download scipy
README
Dependencies
Quality 78%

chef-scipy Build Status

Description

Installs SciPy according to Scipy Stack 1.0 specification.

Requirements

Platforms

  • CentOS 6
  • Fedora 17, 18, 19
  • Red Hat Enterprise Linux 6
  • Ubuntu 12.04, 12.10, 13.04

Cookbooks

Opscode Cookbooks

Attributes

These attributes are under the node['scipy'] namespace.

Attribute Description Type Default
install_type "package" or "source" String package
packages OS packages for installation Array of Strings auto-detected (see attributes/default.rb)
pip_packages PIP packages for installation in requirements format Array of Strings auto-detected (see attributes/default.rb)

Recipes

  • recipe[scipy] default installation of SciPy
  • recipe[scipy::package] Installs SciPy via OS packages
  • recipe[scipy::source] Installs SciPy via source

Usage

SciPy Installation

  • Optionally set node['scipy']['install_type']
  • Add recipe[scipy] to your node's run list.

Overriding pip Package Versions

For running in a more stable development environment or in production, you may want to hard set the package version installed by pip. To do so, add to or update node['scipy']['pip_packages'] and (if necessary) remove from node['scipy']['packages']. The pip_packages Array accepts package names in requirements format.

For example on Ubuntu 13.04, which installs pandas 0.10.X via package, let's say we'd like to pip install 0.12.0 instead:

Defaults to: default['scipy']['packages'] = %w{ ipython ipython-notebook python-numpy python-scipy python-matplotlib python-nose python-pandas python-sympy } default['scipy']['pip_packages'] = %w{}

Let's override pandas installation: set['scipy']['packages'] = %w{ ipython ipython-notebook python-numpy python-scipy python-matplotlib python-nose python-sympy } set['scipy']['pip_packages'] = %w{ pandas==0.12.0 }

Testing and Development

Here's how you can quickly get testing or developing against the cookbook thanks to Vagrant and Berkshelf.

git clone git://github.com/bflad/chef-scipy.git
cd chef-scipy
vagrant plugin install vagrant-berkshelf
vagrant plugin install vagrant-cachier
vagrant plugin install vagrant-omnibus
vagrant up BOX # BOX being centos5, centos6, debian7, fedora18, fedora19, fedora20, freebsd9, ubuntu1204, ubuntu1210, ubuntu1304, or ubuntu1310

You can then SSH into the running VM using the vagrant ssh command. The VM can easily be stopped and deleted with the vagrant destroy command. Please see the official Vagrant documentation for a more in depth explanation of available commands.

Contributing

Please use standard Github issues/pull requests and if possible, in combination with testing on the Vagrant boxes.

License and Authors

See LICENSE file for more information.

Collaborator Number Metric
            

0.3.1 failed this metric

Failure: Cookbook has 0 collaborators. A cookbook must have at least 2 collaborators to pass this metric.

Contributing File Metric
            

0.3.1 passed this metric

Foodcritic Metric
            

0.3.1 failed this metric

FC064: Ensure issues_url is set in metadata: scipy/metadata.rb:1
FC065: Ensure source_url is set in metadata: scipy/metadata.rb:1
FC066: Ensure chef_version is set in metadata: scipy/metadata.rb:1
FC069: Ensure standardized license defined in metadata: scipy/metadata.rb:1
Run with Foodcritic Version 12.2.1 with tags metadata,correctness ~FC031 ~FC045 and failure tags any

License Metric
            

0.3.1 passed this metric

No Binaries Metric
            

0.3.1 passed this metric

Publish Metric
            

0.3.1 passed this metric

Supported Platforms Metric
            

0.3.1 passed this metric

Testing File Metric
            

0.3.1 passed this metric

Version Tag Metric
            

0.3.1 passed this metric